class T_LinkPlasma extends UTProj_LinkPlasma;

/**
Override this class so we can divide by GetDamageScaling()
*/

simulated function ProcessTouch (Actor Other, vector HitLocation, vector HitNormal) {
    if (Other != Instigator) {
        if (!Other.IsA('Projectile') || Other.bProjTarget) {
            if (Role == ROLE_Authority && Instigator != None) {
                Damage /= Instigator.GetDamageScaling();
            }
            MomentumTransfer = (UTPawn(Other) != None) ? 0.0 : 1.0;
            Other.TakeDamage(Damage, InstigatorController, HitLocation, MomentumTransfer * Normal(Velocity), MyDamageType,, self);
            Explode(HitLocation, HitNormal);
        }
    }
}

simulated event HitWall(vector HitNormal, Actor Wall, PrimitiveComponent WallComp) {
    if (Role == ROLE_Authority && Instigator != None) {
        Damage /= Instigator.GetDamageScaling();
    }
    Super.HitWall(HitNormal, Wall, WallComp);
}
